# Generated by Django 2.1.3 on 2018-12-06 00:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('budgetedcost', models.IntegerField(default=0)),
                ('realcost', models.IntegerField(default=0)),
                ('notes', models.CharField(blank=True, max_length=150, null=True)),
                ('bought', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='shop',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('name_sucursal', models.CharField(blank=True, max_length=150, null=True)),
                ('address', models.CharField(max_length=150)),
                ('city', models.CharField(max_length=150)),
                ('region', models.CharField(max_length=150)),
            ],
        ),
        migrations.CreateModel(
            name='shoppingList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('completed', models.BooleanField()),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='product',
            name='shop',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myshoppinglists.shop'),
        ),
        migrations.AddField(
            model_name='product',
            name='shopping_list',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myshoppinglists.shoppingList'),
        ),
    ]
